#ifndef COMPRESS_HPP
#define COMPRESS_HPP

#ifdef N_COMPRESSORS
#include "x_huff.hpp"
#endif
#include "unique.hpp"

#define CM_NONE		-1
#define CM_RUN		-2
#define CM_INC		-3
#define CM_DEC		-4
#define CM_RLE_S	-5
#define CM_RLE		-6
#define CM_RLE_E	-7

#ifdef DEBUG
void			compressDebug();
#endif
void			compressPacket();
int			uncompressPacket(byte *buf);
void			compressInit(int node, int type);

#ifdef N_COMPRESSORS
extern Huff			*H[N_COMPRESSORS];
#endif
extern int			cPacketLen;
extern byte			cPacket[MAX_MODE_LEN * 9 / 8 + 1];

#endif
